summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* sci-mathematics/octave: new version 5.2.0 sans imagemagick support.Michael Orlitzky18 hours2-0/+202
| | | | | | | | | | | | | | | | | This new version drops two patches (zlib underlinking and qt-5.11 support) that have been fixed upstream in other ways. Unfortunately, it also temporarily disables USE=imagemagick, because the upstream support for imagemagick is broken. In the past, we have carried custom patches to fix that, but they no longer apply, and upstream has hinted that the approach they take will not be accepted. So to get this out the door, the simplest thing to do is to follow upstream and throw imagemagick under a bus. Bug: https://bugs.gentoo.org/401189 Bug: https://bugs.gentoo.org/660298 Closes: https://bugs.gentoo.org/709388 Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
* sci-mathematics/octave: Remove local USE="gui"David Seifert2020-01-121-1/+0
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: David Seifert <soap@gentoo.org>
* sci-mathematics: Remove *-fbsd KEYWORDSMichał Górny2019-10-114-4/+4
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* sci-mathematics/octave: Bump to 5.1.0.Benda Xu2019-08-253-0/+236
| | | | | | | | | | | | | | | | | | Adopted to ${PN}-5.1.0-pkgbuilddir.patch with minor changes. Removed --without-OSMesa as the option is no longer available. Removed --Wl,-z defs, because upstream designed the related objects as loadable plugins. Reference: http://savannah.gnu.org/bugs/?53627 Suggested-By: Fabio Rossi Bug: https://bugs.gentoo.org/593670 Closes: https://bugs.gentoo.org/661048 Closes: https://bugs.gentoo.org/679654 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sci-mathematics/octave: imagemagick-7 is neededPacho Ramos2019-06-241-1/+1
| | | | | | Closes: https://bugs.gentoo.org/660298 Package-Manager: Portage-2.3.67, Repoman-2.3.14 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
* sci-mathematics/octave: fix USE=doc sandbox trip due to tex fontsRobin H. Johnson2019-01-252-2/+4
| | | | | Package-Manager: Portage-2.3.56, Repoman-2.3.12 Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* sci-mathematics/octave: Version 4.4.1.Jeroen Roovers2018-09-232-0/+196
| | | | | Package-Manager: Portage-2.3.49, Repoman-2.3.11 Fixes: https://bugs.gentoo.org/show_bug.cgi?id=665762
* sci-mathematics/octave: Add qt-5.11 fix to 4.2.2Andreas Sturmlechner2018-09-121-0/+1
| | | | | | | Octave shall not block Qt 5.11 stabilisation. Bug: https://bugs.gentoo.org/663390 Package-Manager: Portage-2.3.49, Repoman-2.3.10
* sci-mathematics/octave: Fix w/ media-gfx/graphicsmagick-1.3.30[imagemagick]Dennis Schridde2018-09-121-3/+9
| | | | Closes: https://bugs.gentoo.org/661046
* sci-mathematics/octave: simplify tl deps now that 2017 is stableAlexis Ballier2018-07-212-2/+2
| | | | Package-Manager: Portage-2.3.43, Repoman-2.3.10
* sci-mathematics/octave: Add missing qt depsMark Wright2018-07-051-0/+3
| | | | | | | Thanks to Jens Saak for reporting. Closes: https://bugs.gentoo.org/660336 Package-Manager: Portage-2.3.41, Repoman-2.3.9
* sci-mathematics/octave: Bump to 4.4.0, thanks Fabio RossiMark Wright2018-07-036-0/+246
| | | | | | | | | | | | for providing a 4.4.0 ebuild and patches, thanks to Anton Kochkov for reporting 655308. Rename openssl USE flag to ssl, add support for USE libressl (not tested with libressl), thanks to Alessandro Barbieri for reporting 620864. Closes: https://bugs.gentoo.org/655308 Closes: https://bugs.gentoo.org/620864 Package-Manager: Portage-2.3.41, Repoman-2.3.9
* sci-mathematics/octave: Drop to ~ppc/~ppc64Matt Turner2018-04-251-1/+1
|
* sci-mathematics/octave: Fix HOMEPAGEAndreas Sturmlechner2018-04-071-1/+1
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-mathematics/octave: Update GTK+ icon cacheAndreas Sturmlechner2018-04-071-1/+3
| | | | | Closes: https://bugs.gentoo.org/646470 Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-mathematics/octave: Sort DEPENDsAndreas Sturmlechner2018-04-071-16/+16
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-mathematics/octave: Drop obsolete qt4 commentAndreas Sturmlechner2018-04-071-1/+1
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-mathematics/octave: Drop 4.2.1Andreas Sturmlechner2018-04-075-255/+0
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-mathematics/octave: version bump to 4.2.2.Jouni Kosonen2018-03-215-0/+255
| | | | | Closes: https://bugs.gentoo.org/650974 Closes: https://github.com/gentoo/gentoo/pull/7534
* sci-mathematics: Update Manifest hashes.Ulrich Müller2017-12-101-1/+1
|
* sci-mathematics/octave: Fix >=qscintilla-2.10 detectionAndreas Sturmlechner2017-10-082-2/+12
| | | | | Gentoo-bug: 617024 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* sci-mathematics/octave: Remove oldDavid Seifert2017-06-1112-1107/+0
| | | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/4771
* sci-mathematics/octave: Adapt deps for texlive 2017, bug #621240Alexis Ballier2017-06-114-4/+4
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* sci-mathematics/octave: ppc64 stable wrt bug #617694Agostino Sarubbo2017-05-261-1/+1
| | | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sci-mathematics/octave: x86 stable wrt bug #617694Agostino Sarubbo2017-05-261-1/+1
| | | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sci-mathematics/octave: amd64 stable wrt bug #617694Agostino Sarubbo2017-05-241-1/+1
| | | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sci-mathematics/octave: ppc stable (bug 617694).Michael Weber2017-05-241-1/+1
| | | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2 RepoMan-Options: --include-arches="ppc"
* sci-mathematics/octave: Stable for HPPA (bug #617694).Jeroen Roovers2017-05-101-1/+1
| | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2 RepoMan-Options: --ignore-arches
* sci-mathematics/octave: Mark ~hppa (bug #600482).Jeroen Roovers2017-05-102-2/+2
| | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2 RepoMan-Options: --ignore-arches
* Drop remaining $Id$ and $Header$ from files.Ulrich Müller2017-02-281-1/+0
| | | | Bug: 611234
* sci-mathematics/octave: Version bump to 4.2.1David Seifert2017-02-282-0/+179
| | | | | | Bug: https://bugs.gentoo.org/show_bug.cgi?id=610994 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-283-3/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* sci-mathematics/octave: Update USE=im/gm semantics to match #314431David Seifert2017-02-263-35/+18
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* profiles: make USE=graphicsmagick a global USE flagDavid Seifert2017-02-111-1/+0
| | | | Closes: https://github.com/gentoo/gentoo/pull/3907
* sci-mathematics/octave: Add missing DEPEND on ↵David Seifert2017-02-021-4/+9
| | | | | | | | dev-texlive/texlive-fontsrecommended Gentoo-bug: 591818 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* sci-mathematics/octave: RDEPEND on dev-qt/qtopengl:5David Seifert2017-01-101-0/+1
| | | | | | Gentoo-bug: 604418 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* sci-mathematics/octave: Add missing DEPEND on dev-qt/linguist-tools:5David Seifert2017-01-061-2/+2
| | | | | | Gentoo-bug: 604418 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* sci-mathematics/octave: Fix QScintilla detection for Qt5David Seifert2016-12-232-4/+19
| | | | | | | Gentoo-bug: 600482 * Also bring back USE=gui flag Package-Manager: Portage-2.3.3, Repoman-2.3.1
* sci-mathematics/octave: Qt4/Qt5 USEdep on x11-libs/qscintillaDavid Seifert2016-12-222-3/+5
| | | | | | | Gentoo-bug: 600482 Package-Manager: Portage-2.3.3, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/3188
* sci-mathematics/octave: Remove oldDavid Seifert2016-11-2016-1605/+0
| | | | | Package-Manager: portage-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/2872
* sci-mathematics/octave: Version bump to 4.2.0David Seifert2016-11-2010-6/+445
| | | | | | | | | | | Gentoo-bug: 594794 * Add USE="openssl" * Add USE="portaudio" * Add USE="sndfile" * GUI provided with USE="qt5" * Replace EROOT in src_install Package-Manager: portage-2.3.2
* sci-mathematics/octave: Fix zlib underlinkingDavid Seifert2016-09-242-5/+22
| | | | | | | | Gentoo-bug: 593670 * [QA] Add -Wl,-z,defs to LDFLAGS * Make dependency on sys-libs/zlib unconditional Package-Manager: portage-2.3.1
* sci-mathematics/octave: Remove left-over 'use jit' callsDavid Seifert2016-09-117-17/+6
| | | | | | * https://github.com/gentoo/gentoo/pull/2288 Package-Manager: portage-2.3.0
* sci-mathematics/octave: Remove USE=jitDavid Seifert2016-09-119-216/+12
| | | | | | | | | | | | Gentoo-Bug: 588098 * USE=jit has become a liability instead of a feature for Gentoo. The JIT support within octave requires old versions of LLVM, which are broken and unsupported. Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/2288 Signed-off-by: David Seifert <soap@gentoo.org>
* sci-mathematics/octave: version bumpDavid Seifert2016-08-216-4/+361
| | | | | | | | | Gentoo-bug: 590676, 590792 * EAPI=6 * Make patches -p1 compliant * Use pkg-config for finding curses flags Package-Manager: portage-2.3.0
* sci-mathematics/octave: Remove automagic dep on media-gfx/graphicsmagickDavid Seifert2016-08-098-80/+56
| | | | | | | | Gentoo-Bug: 590280 * Explicitly select dependency on the basis of USE="graphicsmagick" vs USE="imagemagick" only. Package-Manager: portage-2.3.0
* sci-mathematics/octave: Switch to media-gfx/imagemagick by defaultDavid Seifert2016-08-058-8/+8
| | | | | | Gentoo-bug: 590280 Package-Manager: portage-2.3.0
* sci-mathematics/octave: Add subslot operator for media-gfx/imagemagickDavid Seifert2016-07-319-47/+56
| | | | | | | | Gentoo-bug: 584104 * Also add USE="graphicsmagick" and add subslot operator for media-gfx/graphicsmagick Package-Manager: portage-2.3.0
* sci-mathematics/octave: Remove jit from 3* as it requires llvm < 3.5Michał Górny2016-06-053-83/+4
|
* sci-mathematics/octave: Nuke 3.8.1Michał Górny2016-06-053-366/+0
|